I up-to-date my version of openSSL tonight however the phpinfo() still shows that old version. I restarted Apache and it is still showing that old version. The update shows properly after i look into the version using Putty

To be able to update OpenSSL within PHP, you will have to recompile PHP. By running exactly the same configure command as before indicating --with-openssl=/usr/include it'll link PHP towards the upgraded OpenSSL library files. Then restart Apache again and it ought to be showing the upgraded version. You can test just --with-openssl and when it's within the default locations it'll work. /usr/include can also be common.